"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toMarkdown = void 0;
var markdown_function_1 = require("markdown-function");
var toMarkdown = function (parseResult, options) {
    var _a;
    var title = parseResult.title, url = parseResult.url, coverImageUrl = parseResult.coverImageUrl, annotations = parseResult.annotations;
    var defaultHighlightMessage = (_a = options === null || options === void 0 ? void 0 : options.defaultHighlightMessage) !== null && _a !== void 0 ? _a : "**CAN NOT SHOW THE HIGHLIGHT**";
    var annotationsBody = annotations
        .map(function (annotation) {
        var note = annotation.note ? "\n\n".concat(annotation.note) : "";
        // Some highlight is empty string because can not get the highlight.
        return "> ".concat(annotation.highlight === "" ? defaultHighlightMessage : annotation.highlight.split("\n").join("\n> "), "  \n> Location: ").concat((0, markdown_function_1.mdLink)({
            url: annotation.kindleUrl,
            title: String(annotation.locationNumber),
            text: String(annotation.locationNumber)
        })).concat(note);
    })
        .join("\n\n");
    return "# ".concat((0, markdown_function_1.mdLink)({ url: url, title: title, text: title }), "\n\n").concat((0, markdown_function_1.mdImg)({ url: coverImageUrl, alt: "cover image" }), "\n\n").concat(annotationsBody, "\n");
};
exports.toMarkdown = toMarkdown;
//# sourceMappingURL=markdown.js.map